ConvertTreeReaderFactory.ConvertTreeReader (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class ConvertTreeReaderFactory.ConvertTreeReader

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.TreeReader
  - - org.apache.orc.impl.ConvertTreeReaderFactory.ConvertTreeReader

- Direct Known Subclasses:
    ConvertTreeReaderFactory.AnyIntegerFromAnyIntegerTreeReader, ConvertTreeReaderFactory.AnyIntegerFromDecimalTreeReader, ConvertTreeReaderFactory.AnyIntegerFromDoubleTreeReader, ConvertTreeReaderFactory.AnyIntegerFromStringGroupTreeReader, ConvertTreeReaderFactory.AnyIntegerFromTimestampTreeReader, ConvertTreeReaderFactory.DateFromStringGroupTreeReader, ConvertTreeReaderFactory.DateFromTimestampTreeReader, ConvertTreeReaderFactory.DecimalFromAnyIntegerTreeReader, ConvertTreeReaderFactory.DecimalFromDecimalTreeReader, ConvertTreeReaderFactory.DecimalFromDoubleTreeReader, ConvertTreeReaderFactory.DecimalFromStringGroupTreeReader, ConvertTreeReaderFactory.DecimalFromTimestampTreeReader, ConvertTreeReaderFactory.DoubleFromAnyIntegerTreeReader, ConvertTreeReaderFactory.DoubleFromDecimalTreeReader, ConvertTreeReaderFactory.DoubleFromStringGroupTreeReader, ConvertTreeReaderFactory.DoubleFromTimestampTreeReader, ConvertTreeReaderFactory.FloatFromDoubleTreeReader, ConvertTreeReaderFactory.StringGroupFromAnyIntegerTreeReader, ConvertTreeReaderFactory.StringGroupFromBinaryTreeReader, ConvertTreeReaderFactory.StringGroupFromDateTreeReader, ConvertTreeReaderFactory.StringGroupFromDecimalTreeReader, ConvertTreeReaderFactory.StringGroupFromDoubleTreeReader, ConvertTreeReaderFactory.StringGroupFromStringGroupTreeReader, ConvertTreeReaderFactory.StringGroupFromTimestampTreeReader, ConvertTreeReaderFactory.TimestampFromAnyIntegerTreeReader, ConvertTreeReaderFactory.TimestampFromDateTreeReader, ConvertTreeReaderFactory.TimestampFromDecimalTreeReader, ConvertTreeReaderFactory.TimestampFromDoubleTreeReader, ConvertTreeReaderFactory.TimestampFromStringGroupTreeReader
  Enclosing class:
    ConvertTreeReaderFactory

      public static class ConvertTreeReaderFactory.ConvertTreeReader
      extends TreeReaderFactory.TreeReader

  Override methods like checkEncoding to pass-thru to the convert TreeReader.

- - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `columnId, context, present, vectorColumnCount`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assignStringGroupVectorEntry(BytesColumnVector bytesColVector, int elementNum, TypeDescription readerType, byte[] bytes)`
    `protected void` | `assignStringGroupVectorEntry(BytesColumnVector bytesColVector, int elementNum, TypeDescription readerType, byte[] bytes, int start, int length)`
    `protected void` | `convertStringGroupVectorElement(BytesColumnVector bytesColVector, int elementNum, TypeDescription readerType)`
    `void` | `convertVector(ColumnVector fromColVector, ColumnVector resultColVector, int batchSize)`
    `boolean` | `doubleCanFitInLong(double doubleValue)`
    `void` | `downCastAnyInteger(LongColumnVector longColVector, int elementNum, long inputLong, TypeDescription readerType)`
    `void` | `downCastAnyInteger(LongColumnVector longColVector, int elementNum, TypeDescription readerType)`
    `protected boolean` | `getIsParseError()`
    `protected boolean` | `integerDownCastNeeded(TypeDescription fileType, TypeDescription readerType)`
    `protected HiveDecimal` | `parseDecimalFromString(String string)`
    `protected double` | `parseDoubleFromString(String string)`
    `protected float` | `parseFloatFromString(String string)`
    `protected long` | `parseLongFromString(String string)`
    `void` | `seek(PositionProvider index)`
    `void` | `seek(PositionProvider[] index)` Seek to the given position.
    `void` | `setConvertVectorElement(int elementNum)` Override this to use convertVector.

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `countNonNulls, createIntegerReader, getColumnId, getPresent, nextBatch, nextVector`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### assignStringGroupVectorEntry

          protected void assignStringGroupVectorEntry(BytesColumnVector bytesColVector,
                                                      int elementNum,
                                                      TypeDescription readerType,
                                                      byte[] bytes)

    - #### assignStringGroupVectorEntry

          protected void assignStringGroupVectorEntry(BytesColumnVector bytesColVector,
                                                      int elementNum,
                                                      TypeDescription readerType,
                                                      byte[] bytes,
                                                      int start,
                                                      int length)

    - #### convertStringGroupVectorElement

          protected void convertStringGroupVectorElement(BytesColumnVector bytesColVector,
                                                         int elementNum,
                                                         TypeDescription readerType)

    - #### getIsParseError

          protected boolean getIsParseError()

    - #### parseLongFromString

          protected long parseLongFromString(String string)

    - #### parseFloatFromString

          protected float parseFloatFromString(String string)

    - #### parseDoubleFromString

          protected double parseDoubleFromString(String string)

    - #### parseDecimalFromString

          protected HiveDecimal parseDecimalFromString(String string)

      Parameters:
        `string` -
      Returns:
        the HiveDecimal parsed, or null if there was a parse error.

    - #### doubleCanFitInLong

          public boolean doubleCanFitInLong(double doubleValue)

    - #### seek

          public void seek(PositionProvider[] index)
                    throws IOException

      Description copied from class: `TreeReaderFactory.TreeReader`
      Seek to the given position.
      Overrides:
        `seek` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `index` - the indexes loaded from the file
      Throws:
        `IOException`

    - #### seek

          public void seek(PositionProvider index)
                    throws IOException

      Overrides:
        `seek` in class `TreeReaderFactory.TreeReader`
      Throws:
        `IOException`

    - #### setConvertVectorElement

          public void setConvertVectorElement(int elementNum)
                                       throws IOException

      Override this to use convertVector. Source and result are member variables in the subclass with the right type.
      Parameters:
        `elementNum` -
      Throws:
        `IOException`

    - #### convertVector

          public void convertVector(ColumnVector fromColVector,
                                    ColumnVector resultColVector,
                                    int batchSize)
                             throws IOException

      Throws:
        `IOException`

    - #### downCastAnyInteger

          public void downCastAnyInteger(LongColumnVector longColVector,
                                         int elementNum,
                                         TypeDescription readerType)

    - #### downCastAnyInteger

          public void downCastAnyInteger(LongColumnVector longColVector,
                                         int elementNum,
                                         long inputLong,
                                         TypeDescription readerType)

    - #### integerDownCastNeeded

          protected boolean integerDownCastNeeded(TypeDescription fileType,
                                                  TypeDescription readerType)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.